Tag: Gradle

Informe vacío de Jacoco para Android Espresso

Estoy tratando de obtener cobertura de código para mi proyecto de Android utilizando las pruebas de Espresso. Sin embargo, Jacoco me está devolviendo un informe diciendo que no cubro nada. Hice una aplicación de demostración para resaltar mi problema y que está aquí . Si no quieres ir a Github para ver el proyecto, aquí […]

Problema al migrar a Gradle Experimental 2.5: ningún método AndroidConfig

Acabo de actualizar mi configuración de Android Studio a 1,3 (última estable a 31 de agosto de 2015) y tengo que utilizar la última integración de NDK. Mi versión anterior de Android Studio fue 1.2.1 (estable también). Después de la migración de Google a la guía experimental de Gradle logré adaptar fácilmente mis varios guiones […]

La sincronización de Gradle falla con el complemento Dexguard (Android Studio)

Estoy teniendo un poco de problemas para intentar integrar dexguard a mi proyecto android / gradle. Dexguard: 5.5.32 gradle: 2.2.1 gradle-plugin: 1.3.0 buildToolsVersion: 23.0.1 apply plugin: 'dexguard' el error siguiente cuando apply plugin: 'dexguard' : Error:Unable to load class 'com.android.builder.SdkParser' EDITAR: Aquí está el archivo gradle de mi aplicación: buildscript { repositories { flatDir { […]

Android error en tutorial no puede encontrar la variable de símbolo activity_display_message

Estoy tratando de aprender la creación de aplicaciones para Android a través de tutoriales y Android Studio. Algunos de los comentarios sobre xml y las importaciones fueron helpfult. Estoy abajo a un error. Consigo este error Error: (22, 57) error: no puede encontrar la variable del símbolo activity_display_message Los errores con respecto a las importaciones […]

Gradle Terminal no se muestra en Android Studio

El terminal de Gradle (también llamado Gradle Command Line) no se muestra en mi estudio de Android, tengo la versión de estudio de Android 1.3.1 y he estado buscando cómo ver el terminal durante más de una hora y todo lo que tengo es tutoriales sobre cómo para usarlo y no cómo mostrarlo para que […]

Android Studio 0.5.3 – ¿Por qué no ejecuta "Make Project" ejecutar más?

"Make Project" en Android Studio no crea un archivo apk para mí desde que actualizé a 0.5.3. ¿Alguien sabe cómo puedo hacer que lo haga? He actualizado buildToolsVersion a 19.0.3, que es la última versión. (Cada vez que se actualiza Android Studio crea otro problema como este, lo siento, pero no soy un experto en […]

Fabric / Crashlytics en Android – ¿Cómo tener dos proyectos de crashltics diferentes con el mismo nombre de paquete?

Estoy desarrollando una aplicación de Android y quiero tener dos proyectos diferentes en Crashlytics / Fabric (depurar y liberar). Sé que esto es posible teniendo dos nombres de paquetes diferentes, pero en mi caso, el nombre del paquete de estos dos tipos de compilación tiene que ser el mismo. ¿Hay alguna posibilidad de tener dos […]

Error: Error de ejecución para la tarea ': app: validateExternalOverrideSigning'

Estoy utilizando la biblioteca caldroid para la actividad del calendario y funciona bien. Pero necesitaba cambiar su estilo. Así que he añadido caldroid biblioteca (directorio) bajo la aplicación como esta. y cambié mis dependencias dependencies {… compile 'com.roomorama: caldroid: 2.3.1' …} a dependencies {… compile project (': libraries: caldroid') …} Entonces, funciona bien bajo el […]

Uso de SDK de Amazon Web Service para Android en Android Studio

Estoy intentando utilizar el almacenamiento AWS S3 para almacenar imágenes para una aplicación para móviles, pero no puedo compilar mi aplicación. Tengo los archivos .jar en mi directorio de libs. En la sección de dependencias de mi archivo build.gradle tengo: dependencies { compile "com.amazonaws.services.s3:1.6.1" } He intentado cada combinación que puedo pensar. com.amazonaws.services.s3: 1.6.1, com.amazonaws.services:s3:1.6.1, […]

Gradle – No se puede importar viewpagerindicator en Android Studio usando gradle dependency

Así que estoy tratando de usar actionbarsherlock y viewpagerindicator y por alguna razón, la biblioteca viewpagerindicator no se importa por alguna razón. Alguien tiene alguna idea? apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion "19.0.1" defaultConfig { minSdkVersion 9 targetSdkVersion 19 versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt' […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.